<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
You can also check the history of <a href="history">AdvanceMAME</a>, <a href="scan-history">AdvanceSCAN</a> and <a href="comp-history">AdvanceCOMP</a>.
</p>

<p>
The WIP version is available in <a href="https://github.com/amadvance/advancemame/blob/master/doc/histcab.d">git</a>.
</p>

<h2> 
AdvanceCAB Version 1.1.4 2003/07
</h2>
<ul>
<li>
Upgraded at the SVGALIB 1.9.17 library with all the patches
from AdvanceMAME 0.71.0.
</li>
</ul>
<h2> 
AdvanceCAB Version 1.1.3 2002/11
</h2>
<ul>
<li>
Fixed the abort bug for the SVGALIB Rage 128/Radeon video
boards and probably others.
</li>
</ul>
<h2> 
AdvanceCAB Version 1.1.2 2002/11
</h2>
<ul>
<li>
The VIDEOW utility now correctly detects the current
bytes per scanline.
</li>
<li>
Updated the Windows SVGAWIN.SYS driver to the 1.1 version.
</li>
<li>
Fixed a slowdown bug on the SVGALIB video board detection.
</li>
<li>
Fixed a bug on the DOS/Windows SVGALIB Radeon driver. It should
help with the video modes at lower frequency generally used
in Arcade Monitors and TVs.
</li>
<li>
Minor changes at the docs.
</li>
<li>
Better error reporting on the DOS/Windows SVGALIB drivers.
</li>
<li>
The VIDEOW utility now uses the `device_video' to force a specific
video driver.
</li>
</ul>
<h2> 
AdvanceCAB Version 1.1.1 2002/11
</h2>
<ul>
<li>
Added the ADVV utility for Windows NT/2000/XP.
</li>
<li>
Added a new option at the VIDEOW utility to enable the
hardware mouse pointer.
</li>
<li>
Added a new option at the VIDEOW utility to change the
scanline size.
</li>
</ul>
<h2> 
AdvanceCAB Version 1.1.0 2002/11
</h2>
<ul>
<li>
Added the VIDEOWIN utility. It's able to set an arbitrary
modeline in Windows NT/2000/XP. It supports all the
most recent boards.
</li>
</ul>
<h2> 
AdvanceCAB Version 1.0.0 2002/10
</h2>
<ul>
<li>
Added the VBE32 utility. It's a new 32 bit VBE BIOS
which supports all the new video boards.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.11.2 2002/07
</h2>
<ul>
<li>
Recompiled the `advv' utility with the new
VGA and SVGA video drivers.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.11.1 2002/01
</h2>
<ul>
<li>
Recompiled the `advv' utility with lower optimizations
and for the 386 processor.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.11.0 2002/01
</h2>
<ul>
<li>
Changed the configuration file format as AdvanceMAME 0.56.2.
</li>
<li>
Some file renaming.
</li>
<li>
Minor fix at the command /r of the video utility.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.10.2 2001/10
</h2>
<ul>
<li>
Only the `mv.exe' program updated.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.10.1 2001/10
</h2>
<ul>
<li>
Minor bugfix.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.10 2001/09
</h2>
<ul>
<li>
The `vbeline_driver' option is now correctly read.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.9 2001/09
</h2>
<ul>
<li>
The same modelines changes of AdvanceMAME 0.53.
</li>
<li>
Added support for the Voodoo5 board.
</li>
<li>
Added the -r option at the `video' utility to reset the
video board using the reset BIOS function.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.8 2001/03
</h2>
<ul>
<li>
Corrected the default `vgaline' modes in the file
standard.cfg, extended.cfg and medium.cfg.
</li>
<li>
Solved some problems on the vga/vbe/video utilities.
</li>
<li>
The vbe utility is now tested in Windows 98 SE with a S3
board.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.7 2001/02
</h2>
<ul>
<li>
The `video' utility now clear the screen before loading a
PCX image.
</li>
<li>
The modeline utility can now generate an arbitrary mode from
the command line. Example "modeline /svga60 384x224".
</li>
</ul>
<h2> 
AdvanceCAB Version 0.6 2001/01
</h2>
<ul>
<li>
Added the `contrib/bootlogo' utility by Robert Palmqvist.
</li>
<li>
Cursor shape now setup correctly by the `vga' utility.
</li>
<li>
Solved the command line problems loading the utilities in
the config.sys. Now all the options are case insensitive.
</li>
<li>
Added the new utility `modeline'. All the `mv' modelines are now
computed with this utility.
</li>
</ul>
<h2> 
AdvanceCAB Version 0.5 2000/11
</h2>
<ul>
<li>
AdvanceVBE/VGA now named AdvanceCAB.
</li>
<li>
Other utilities `portio' and `off' moved to AdvanceCAB.
</li>
<li>
Added support for Trident cards using the new video
driver of VSyncMAME written by Saka.
Use the "vbeline_driver=vbe3" option to revert to the
old behavior.
</li>
<li>
Some registers wasting corrected in the `vga' and
`vbe' utility.
</li>
<li>
Corrected the ModeX change in the `vga' utility.
</li>
<li>
WARNING! Changed the command line options. Now if you call
these utility without options a short help screen is
printed. You must update all the batch files!
</li>
<li>
Added `sys' support at the utilities `vga' and `portio'.
You can load them directly in the `config.sys' as a
`device'. These version can't be unloaded.
</li>
<li>
Added in the `vga' utility an option to disable the video
output of other programs.
</li>
<li>
Added a new utility `video' to enable and disable the hardware
video output, load images, or set an arbitrary
video mode.
</li>
</ul>
<h2> 
AdvanceVBE/VGA Version 0.4 2000/10
</h2>
<ul>
<li>
Changed the mode number of the mode 1024x768 16 bit to follow
the VESA 1.2 standard.
</li>
</ul>
<h2> 
AdvanceVBE/VGA Version 0.3 2000/09
</h2>
<ul>
<li>
Source maintenance.
</li>
</ul>
<h2> 
AdvanceVBE/VGA Version 0.2 2000/08
</h2>
<ul>
<li>
Saved all the 32 bit registers in the int 10h call
(this should solve some problems).
</li>
<li>
Added a private stack (this should solve A LOT of problems).
</li>
<li>
Increased the max number of modelines to 64.
</li>
<li>
Added the `vga' utility (preliminary).
</li>
<li>
Added support for the vga text mode 01h (40x25), this may
be used as default text mode for Arcade 25 kHz monitors.
</li>
</ul>
<h2> 
AdvanceVBE/VGA Version 0.1 2000/08
</h2>
<ul>
<li>
Started the AdvanceVBE project.
</li>
</ul>


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


